Charles N Wyble
=====

Senior (**Staff level**) **System Engineer/SRE/Architect** with extensive Linux/Windows/Networking/Cyber security background and experience 

[ [Github Profile](https://github.com/reachableceo) ] .  [ [Linkedin Profile](https://www.linkedin.com/in/charles-wyble-412007337) ] . [ reachableceo@reachableceo.com ] . [ 818 280 7059 ] . [ Austin TX / Raleigh NC / Remote ]
 
## Highlights from my 22 year of experience
- Developed and implemented a process to switch thousands of desktops providing digital signage functionality from Fedora to Debian in a completely automated fashion using a custom initrd.
- Developed and implemented an internal private cloud orchestration and provisioning system for a hardware development engineering team that handled the entire provisioning lifecycle for physical and virtual systems.
- Developed and implemented standardized language and procedures and incident investigation automation for a large technical support organization with high turnover.
- Developed and implemented an automated order status and payment handling interactive voice response application using Angel.ccm with a backend web service returning Voice XML. This allows call center personnel to focus on revenue generating opportunities instead of administrative matters.
- Provided technician support to a team of electrical engineers building the power system for the radar of FrakenSAM in Ukraine. Handled high / low voltage wiring and plumbing and documentation of those systems.
- Provided root cause analysis , mitigation and remediation of security breaches by advanced persistent threat actors at high value targets.
- Project managed a successful brand new data center build from bare dirt to serving content in 86 days. Oversaw 8 billion dollars of capital deployment.
- Led and consulted tier 1 payment compliance industry (PCI) implementations for some of the worlds largest brands (including at a payment processor). 
\pagebreak
 
## Employment History
 
Comprehensive employment history available on my [Linkedin Profile](https://www.linkedin.com/in/charles-wyble-412007337)
 
 
**CDK Global** |  Senior System Engineer |  July 2024 - October 2024
 
 
**Apple Computer** |  Senior System Administrator |  March 2024 - July 2024
 
 
**SHEIN.com** |  Staff Site Reliability Engineer |  December 2022 - August 2023
 
 
**3M** |  Senior Site Reliability Engineer  |  March 2020 - November 2022
 
 
**TippingPoint** |  Staff System/Network Architect |  March 2012 - June 2019
 
 
**HostGator.com** |  Automation and Escalation Engineer |  March 2011 - May 2012
 
 
**RippleTV** |   Systems Engineer |  October 2008 - Jaunary 2010
 
 
**Walt Disney Internet Group** |  Site Reliability Engineer |  August 2006 - September 2007
 
 
**Electronic Clearing House** |  Senior Linux System Administrator |  April 2005 - July 2006
 
 
**GSI Commerce** |  HPUX/Windows/Linux System Administrator |   March 2002 -  February 2005
 
 
**ReachableCEO Enterprises** |  Freelancer |  January 2001 - December 2024
 
\pagebreak
## Skills
|Skill|Experience|Skill Details|
|---|---|---|
|**Linux**|22 years|RHEL,Debian,Ubuntu,kickstart,PXE,  LDAP,SSSD,RPM/Deb package creation,  quotas,extended permissions, clustering, NFS, Samba|
|**Unix**|5 years|HPUX/Solaris|
|**Windows**|22 years|Server (2008  2016), Windows client automated deployment (7,8,10,11), Active Directory, Group Policy, WSUS, Certificate Services, AD DNS, AD DHCP, complex multiple forest and domain setups, LDAP|
|**Free/Libre/Open Source Server software**|22 years|Apache, Postfix, Qmail, Dovecot, Courier, Nginx, Matamo, Discourse, Wordpress, Mautic,Dolibarr, Revive, Firefly, Cloudron, Coolify, Gitea, Gitlab, GitHub, Git, Jenkins, Rundeck, N8N, Mysql,Postgresql,  LetsEncrypt, ACME, cfssl|
|**Cyber Security**|22 years|PCI Compliance (tier 1 implementations), OpenVAS<, Lynis, security hardening, audits, breach response and mitigation, patch and vulnerability management. AppArmor, SeLinux, Centrify, Tripwire, Integrit, OSSEC |
|**Networking**|22 years|Linux Virtual Server, HAProxy, Ubiquiti Unifi, Opnsense, Pfsense, HP, Cisco, Arista, Dell, DNS, DHCP, IPAM, PXE, IPS, IDS, GRE, IPSEC. Wireguard, OpenVPN, Nebula, Tailscale, RADIUS. Mostly layer2 data center/campus/access some WAN,firewall,layer3 |
|**Monitoring**|22 years|Uptime Kuma, Librenms, Zabbix, Zenoss, Nagios, ELK (Elasticsearch, Logstash, Kibana)|
|**Virtualization**|22 years|VmWare, Parallels,HyperV, KVM, Xen|
|**Cloud**|5 years|AWS, Azure, GCP, Kubernetes|
|**Containerization**|15 years|LXC, Docker,OpenVZ|
|**Configuration management/InfrastructureAsCode(IAC)**|22 years|FetchApply, Terraform/OpenTOfu, Ansible, Hashicorp Packer/Vault|
|**Ticket / incident / project management**| 22 years| Jira, ServiceNow,Redmine,RT|
|**Git**|15 years|Branching, merging, multiple teams, external vendors, submodules |
|**SRE**|4 years| Grafana, Prometheus, Signoz, Wazuh|
|**LLM**|2 years|OpenWebUI, Apple Silicon, QA/validation, RAG, data cleaning/prep|
|**Programming**|5 years|J2ME,PHP,Ruby,TCL/TK,Java,C,C++|
|**Automation**|22 years|Bash,PowerShell,Perl|
|**Embedded development**|5 years|Raspberry pi, arduino, seeduino, Lego Mindstorms|
\pagebreak
